Peplink Portal Docs
Starlink Contacts

Update a Starlink Contact

Update the specified Starlink contact by setting the values of the parameters passed.

Required Capabilities

Starlink Manager

Request

POST/starlink/contacts/{refId}

Path parameters

refIdstringrequired

Reference ID of the Starlink contact to update.

Body parameters

rolesenum arrayrequired

New roles to assign to the contact. Replaces all existing roles. An empty array deletes the contact.

  • BILLING_READ_ONLY — Billing Read Only
  • SERVICE_ACCOUNT_MANAGEMENT — Service Account Management
  • SUPPORT — Support
  • SUPPORT_READ_ONLY — Support Read Only
  • TECHNICAL_CONFIGURATION — Technical Configuration
  • TECHNICAL_READ_ONLY — Technical Read Only

Response

200 The contact is updated successfully

A json is returned in the response body with the following fields:

refIdstring

Reference ID of the Starlink contact.

starlinkAccountRefIdstring

Reference ID of the Starlink account the contact belongs to.

firstNamestring

First name of the contact.

lastNamestring

Last name of the contact.

emailstring

Email address of the contact.

phonestring

Phone number of the contact.

rolesenum array

Roles assigned to the contact.

  • BILLING_READ_ONLY — Billing Read Only
  • SERVICE_ACCOUNT_MANAGEMENT — Service Account Management
  • SUPPORT — Support
  • SUPPORT_READ_ONLY — Support Read Only
  • TECHNICAL_CONFIGURATION — Technical Configuration
  • TECHNICAL_READ_ONLY — Technical Read Only
starlinkSubjectIdnullable string

Starlink subject ID of the contact. null if not applicable.

starlinkSyncobject

Starlink sync information of the contact.

Show child attributes
starlinkSync.syncStatusnullable enum

The sync status of the contact. null if not applicable.

  • PENDING — The sync is pending.
  • ABORTED — The sync has been aborted.
  • SYNCING — The sync is in progress.
  • SYNCED — The sync has completed.
starlinkSync.runCountnumber

The number of times the contact sync has been run.

starlinkSync.runCountLimitnumber

The maximum number of times the contact sync can be run.

starlinkSync.lastSyncedAtnullable datetime string

The last time the contact was synced. null if not applicable.

createdAtdatetime string

Date and time the contact was created.

createdBystring

Username of the user who created the contact.

createdByEmailnullable string

Email of the user who created the contact. null if not applicable.

updatedAtdatetime string

Date and time the contact was last updated.

updatedBystring

Username of the user who last updated the contact.

updatedByEmailnullable string

Email of the user who last updated the contact. null if not applicable.

400 Request is invalid

No contact is updated as the request is invalid.

Check the response body for the error details.

Examples

Request

curl -X POST 'https://portal.peplink.com/api/e/v1/cp/starlink/contacts/{refId}' \  -H 'Authorization: Bearer {token}' \  -H 'Content-Type: application/json' \  --data-raw  '{"roles": ["BILLING_READ_ONLY", "SUPPORT_READ_ONLY"]}'

Response

{
  "refId": "237",
  "starlinkAccountRefId": "108",
  "firstName": "John",
  "lastName": "Smith",
  "email": "[email protected]",
  "phone": "+35521323112",
  "roles": ["BILLING_READ_ONLY", "SUPPORT_READ_ONLY"],
  "starlinkSubjectId": "cf86c4ff-eb39-4781-815b-f14d25dd0151",
  "starlinkSync": {
    "syncStatus": "SYNCED",
    "runCount": 0,
    "runCountLimit": 10,
    "lastSyncedAt": "2026-03-25T03:30:53.981Z"
  },
  "createdAt": "2026-03-25T03:30:44.170Z",
  "createdBy": "Alice C",
  "createdByEmail": "[email protected]",
  "updatedAt": "2026-03-25T03:30:55.932Z",
  "updatedBy": "Alice C",
  "updatedByEmail": "[email protected]"
}

On this page